<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:uabepsog="http://uabepsog.com/xbrl/2024" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" targetNamespace="http://uabepsog.com/xbrl/2024" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd" namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="uabepsog-2024-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="uabepsog-2024-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="uabepsog-2024-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="uabepsog-2024-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:type="simple" />
      <link:roleType id="StatementOfFinancialPositionTable" roleURI="http://uabepsog.com/xbrl/2024/roles/StatementOfFinancialPositionTable">
        <link:definition>01 - Statement of financial position [table]</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfComprehensiveIncomeGroupTable" roleURI="http://uabepsog.com/xbrl/2024/roles/StatementOfComprehensiveIncomeGroupTable">
        <link:definition>02 - Statement of comprehensive income Group [table]</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfChangesInEquityTable" roleURI="http://uabepsog.com/xbrl/2024/roles/StatementOfChangesInEquityTable">
        <link:definition>03 - Statement of changes in equity [table]</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementsOfCashFlowTable" roleURI="http://uabepsog.com/xbrl/2024/roles/StatementsOfCashFlowTable">
        <link:definition>04 - Statements of cash flow [table]</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://uabepsog.com/xbrl/2024/roles/NotesAndMandatoryItems">
        <link:definition>05 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://uabepsog.com/xbrl/2024/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="uabepsog_PurchasesOfElectricityNaturalGasAndContractServices" xbrli:balance="debit" xbrli:periodType="duration" name="PurchasesOfElectricityNaturalGasAndContractServices" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="uabepsog_ImpactOfTheChangeOfNaturalGasReserves" xbrli:balance="debit" xbrli:periodType="duration" name="ImpactOfTheChangeOfNaturalGasReserves" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="uabepsog_PurchaseOfContractingServices" xbrli:balance="debit" xbrli:periodType="duration" name="PurchaseOfContractingServices" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="uabepsog_EBITDA" xbrli:balance="credit" xbrli:periodType="duration" name="EBITDA" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="uabepsog_OperatingProfitLossEBIT" xbrli:balance="credit" xbrli:periodType="duration" name="OperatingProfitLossEBIT" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="uabepsog_TransferToFromReserves" xbrli:balance="credit" xbrli:periodType="duration" name="TransferToFromReserves" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="uabepsog_ImpairmentReversalOfImpairmentOfInvestmentsInSubsidiaries" xbrli:balance="debit" xbrli:periodType="duration" name="ImpairmentReversalOfImpairmentOfInvestmentsInSubsidiaries" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="uabepsog_IncreaseDecreaseInInventoriesPrepaymentsAndOtherCurrentAssets" xbrli:balance="debit" xbrli:periodType="duration" name="IncreaseDecreaseInInventoriesPrepaymentsAndOtherCurrentAssets" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="uabepsog_IncreaseDecreaseInTradeAndOtherPayablesGrantsDeferredIncomeAndPrepaymentsReceived" xbrli:balance="credit" xbrli:periodType="duration" name="IncreaseDecreaseInTradeAndOtherPayablesGrantsDeferredIncomeAndPrepaymentsReceived" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="uabepsog_CongestionManagementFundsReceivedClassifiedAsInvestingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="CongestionManagementFundsReceivedClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="uabepsog_AcquisitionOfShortTermFinancialInvestments" xbrli:balance="debit" xbrli:periodType="duration" name="AcquisitionOfShortTermFinancialInvestments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="uabepsog_RepaymentOfShortTermFinancialInvestments" xbrli:balance="debit" xbrli:periodType="duration" name="RepaymentOfShortTermFinancialInvestments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="uabepsog_Overdraft" xbrli:balance="debit" xbrli:periodType="duration" name="Overdraft" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
</xs:schema>